<div class="max-w-3xl mx-auto mt-4 p-6 bg-white rounded-md shadow-md">
  <h2 class="text-xl font-semibold mb-4" >Lista de Cuentas</h2>
  <ul>
    <li *ngFor="let cuenta of cuentas" class="border-b border-gray-200 py-3">
      <div class="flex items-center justify-between">
        <div class="flex items-center">
          <div>
          <p class="text-lg font-medium">{{'Numero de cuenta: ' +  cuenta.numero }} </p>
          <p class="text-gray-500">{{ 'Saldo: $' + cuenta.saldo }}</p>
          <p class="text-gray-500">{{ 'Su Id o Identificador de cuenta : ' + cuenta.id }}</p>
          </div>

        </div>
      <div>
        <button (click)="irAFormularioActualizacion(cuenta.id)" class="py-1 px-3 bg-indigo-600 text-white rounded-md mr-2">Actualizar</button>
        <button (click)="eliminarCuenta(cuenta.id)" class="py-1 px-3 bg-red-600 text-white rounded-md" >Eliminar</button>
        <button (click)="irAFormularioSeleccionarFechas(cuenta.cliente.id)" class="py-1 px-3 bg-indigo-600 text-white rounded-md mr-2">Generar Informe</button>
      </div>
      </div>
    </li>
  </ul>
  <button class="py-1 px-3 bg-indigo-600 text-white rounded-md mr-2" (click)="regresar()">Regresar</button>

</div>
